--- title: "getProductPriceList" slug: "platform-listprice-getproductpricelist" updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-listprice-getproductpricelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getProductPriceList Available in Classic and VPC View the list of products and pricings. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /product/getProductPriceList | ### Request headers For headers common to all List price APIs, see [List price common headers](/docs/en/platform-listprice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `regionCode` | String | Required | Region code - Check through the [getRegionList](/docs/en/platform-region-getregionlist) action | | `productItemKindCode` | String | Optional | Product item type code | | `productCategoryCode` | String | Optional | Product category code - Check through the [getProductCategoryList](/docs/en/platform-listprice-getproductcategorylist) action | | `productCode` | String | Optional | Product code | | `productName` | String | Optional | Product name | | `payCurrencyCode` | String | Optional | Payment currency code - `KRW` \| `USD` \| `JPY` | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/product/getProductPriceList?regionCode=KR&productItemKindCode=VSVR&productName=6248R' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [ProductPriceList](/docs/en/common-vapidatatype-productpricelist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 14223ba6-****-****-****-45c35a18ff22 0 success 1 VSVR Server (VPC) BM BareMetal SVR.VSVR.BM.C048.M512.LOCAL.SSD.B15564.G001 Dual Intel Xeon Gold 6248R(3.0GHz), 48 cores, 512GB RAM, 8 x 1.9TB SSD Dual Intel Xeon Gold 6248R(3.0GHz), 48 cores, 512GB RAM, 8 x 1.9TB SSD COMPUTE Compute BM BareMetal 0 48 549755813888 16712576742195 LOCAL Local storage SSD SSD G1 14168 FXSUM Monthly flat rate 1 KR Korea TIME Time POINT Point unit 0 USAGE_TIME Usage time(Prorated) 4168368 0 SVR_ST_PRC Server Stop Price 4168368 Daily calculation of monthly usage time 0 USAGE_SEC Usage time (per second) 2020-12-07T00:00:00+0900 KRW South Korea Won 14170 MTRAT Meter rate 1 KR Korea TIME Time POINT Point unit 0 USAGE_HH Usage time (per hour) 5789 0 SVR_ST_PRC Server Stop Price 5789 Usage time (hour) * Price 0 USAGE_SEC Usage time (per second) 2020-12-07T00:00:00+0900 KRW South Korea Won ```